"""
@generated by mypy-protobuf.  Do not edit manually!
isort:skip_file
"""

import builtins
import collections.abc
import google.protobuf.descriptor
import google.protobuf.internal.containers
import google.protobuf.internal.enum_type_wrapper
import google.protobuf.message
import google.protobuf.timestamp_pb2
import sys
import typing

if sys.version_info >= (3, 10):
    import typing as typing_extensions
else:
    import typing_extensions

DESCRIPTOR: google.protobuf.descriptor.FileDescriptor

@typing.final
class NewRecommendationsRequest(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    RECOMMENDATIONS_FIELD_NUMBER: builtins.int
    @property
    def recommendations(self) -> google.protobuf.internal.containers.RepeatedCompositeFieldContainer[global___Recommendation]: ...
    def __init__(
        self,
        *,
        recommendations: collections.abc.Iterable[global___Recommendation] | None = ...,
    ) -> None: ...
    def ClearField(self, field_name: typing.Literal["recommendations", b"recommendations"]) -> None: ...

global___NewRecommendationsRequest = NewRecommendationsRequest

@typing.final
class Recommendation(google.protobuf.message.Message):
    DESCRIPTOR: google.protobuf.descriptor.Descriptor

    class _OOMKilledResources:
        ValueType = typing.NewType("ValueType", builtins.int)
        V: typing_extensions.TypeAlias = ValueType

    class _OOMKilledResourcesEnumTypeWrapper(google.protobuf.internal.enum_type_wrapper._EnumTypeWrapper[Recommendation._OOMKilledResources.ValueType], builtins.type):
        DESCRIPTOR: google.protobuf.descriptor.EnumDescriptor
        RAMOOM: Recommendation._OOMKilledResources.ValueType  # 0
        GPUOOM: Recommendation._OOMKilledResources.ValueType  # 1

    class OOMKilledResources(_OOMKilledResources, metaclass=_OOMKilledResourcesEnumTypeWrapper): ...
    RAMOOM: Recommendation.OOMKilledResources.ValueType  # 0
    GPUOOM: Recommendation.OOMKilledResources.ValueType  # 1

    TIMESTAMP_FIELD_NUMBER: builtins.int
    KEY_FIELD_NUMBER: builtins.int
    GPU_MIG_INSTANCE_FIELD_NUMBER: builtins.int
    CPU_FIELD_NUMBER: builtins.int
    MEMORY_FIELD_NUMBER: builtins.int
    OOM_KILLED_RESOURCES_FIELD_NUMBER: builtins.int
    key: builtins.str
    """All the keys are encoded into a single JSON here"""
    gpu_mig_instance: builtins.str
    cpu: builtins.float
    memory: builtins.int
    @property
    def timestamp(self) -> google.protobuf.timestamp_pb2.Timestamp: ...
    @property
    def oom_killed_resources(self) -> google.protobuf.internal.containers.RepeatedScalarFieldContainer[global___Recommendation.OOMKilledResources.ValueType]: ...
    def __init__(
        self,
        *,
        timestamp: google.protobuf.timestamp_pb2.Timestamp | None = ...,
        key: builtins.str = ...,
        gpu_mig_instance: builtins.str = ...,
        cpu: builtins.float = ...,
        memory: builtins.int = ...,
        oom_killed_resources: collections.abc.Iterable[global___Recommendation.OOMKilledResources.ValueType] | None = ...,
    ) -> None: ...
    def HasField(self, field_name: typing.Literal["timestamp", b"timestamp"]) -> builtins.bool: ...
    def ClearField(self, field_name: typing.Literal["cpu", b"cpu", "gpu_mig_instance", b"gpu_mig_instance", "key", b"key", "memory", b"memory", "oom_killed_resources", b"oom_killed_resources", "timestamp", b"timestamp"]) -> None: ...

global___Recommendation = Recommendation
